Skip to content

Update Project

PATCH
/api/v1/projects/{project_id}
curl --request PATCH \
--url https://aura.strangeworks.com/api/v1/projects/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "name": "example", "short_description": "example", "workspace_mode": "define" }'
project_id
required
Project Id
string
Media typeapplication/json
ProjectUpdate
object
description
Any of:
string
name
Any of:
string
>= 1 characters <= 100 characters
short_description
Any of:
string
workspace_mode
Any of:
string
Allowed values: define run

Successful Response

Media typeapplication/json
ProjectResponse
object
completeness
CompletenessResponse

Mirrors the fixed shape returned by completeness_service.compute_completeness().

object
all_constraints_classified
All Constraints Classified
boolean
all_variables_provided
All Variables Provided
boolean
data_available
Data Available
boolean
feasibility_result
Feasibility Result
string
default: unchecked
Allowed values: pass fail unchecked
kpis_defined
Kpis Defined
boolean
objective_drafted
Objective Drafted
boolean
objectives_defined
Objectives Defined
boolean
overall
Overall
string
default: incomplete
Allowed values: incomplete complete
production_requirements_defined
Production Requirements Defined
boolean
created_at
required
Created At
string format: date-time
created_by
Any of:
ProjectCreator
object
avatar_url
Any of:
string
display_name
required
Display Name
string
id
required
Id
string
description
required
Any of:
string
id
required
Id
string
name
required
Name
string
objective_components
Objective Components
Array<object>
default:
object
key
additional properties
objective_confirmed
Objective Confirmed
boolean
objective_description
Any of:
string
objective_type
Any of:
string
origin_deployment_handle
Any of:
string
run_setup_status
Any of:
string
short_description
required
Any of:
string
total_cost_usd
Total Cost Usd
number
0
updated_at
required
Updated At
string format: date-time
workspace_mode
Workspace Mode
string
default: define
Allowed values: define run
Example
{
"completeness": {
"all_constraints_classified": false,
"all_variables_provided": false,
"data_available": false,
"feasibility_result": "unchecked",
"kpis_defined": false,
"objective_drafted": false,
"objectives_defined": false,
"overall": "incomplete",
"production_requirements_defined": false
},
"objective_components": [],
"objective_confirmed": false,
"total_cost_usd": 0,
"workspace_mode": "define"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}